// UCCPlayerView.h : interface of the CUCCPlayerView class
//
/////////////////////////////////////////////////////////////////////////////
//{{AFX_INCLUDES()
#include "ucchmi1.h"
//}}AFX_INCLUDES

#if !defined(AFX_UCCPLAYERVIEW_H__341CFF94_A7D2_41D6_B825_B6113ED3FBCD__INCLUDED_)
#define AFX_UCCPLAYERVIEW_H__341CFF94_A7D2_41D6_B825_B6113ED3FBCD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


 
//===========================================================================
// Summary:
//     The CUCCPlayerView class derived from CFormView
//      U C C Player View
//===========================================================================

class CUCCPlayerView : public CFormView
{
protected: // create from serialization only
	
	//-----------------------------------------------------------------------
	// Summary:
	// U C C Player View, Constructs a CUCCPlayerView object.
	//		Returns A  value.
	CUCCPlayerView();
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ D Y N C R E A T E, None Description.
	//		Returns A  value.  
	// Parameters:
	//		CUCCPlayerView---U C C Player View, Specifies a CUCCPlayerView object.
	DECLARE_DYNCREATE(CUCCPlayerView)

public:
	//{{AFX_DATA(CUCCPlayerView)
	enum { IDD = IDD_UCCPLAYER_FORM };
 
	// X Draw , This member specify CUCCHMI object.  
	CUCCHMI	m_XDrawCtrl;
	//}}AFX_DATA

// Attributes
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Get Document, Returns the specified value.
	//		Returns a pointer to the object CUCCPlayerDoc,or NULL if the call failed
	CUCCPlayerDoc* GetDocument();

 
	// I Picture Disp1, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp1;
 
	// I Picture Disp2, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp2;
 
	// I Picture Disp3, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp3;
 
	// I Picture Disp4, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp4;
 
	// I Picture Disp5, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp5;
 
	// I Picture Disp6, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp6;
 
	// I Picture Disp7, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp7;
 
	// I Picture Disp8, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp8;
 
	// I Picture Disp9, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp9;
 
	// I Picture Disp10, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp10;
 
	// I Picture Disp11, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp11;
 
	// I Picture Disp12, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp12;
 
	// I Picture Disp13, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp13;
 
	// I Picture Disp14, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp14;
 
	// I Picture Disp15, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp15;
 
	// I Picture Disp16, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp16;
 
	// I Picture Disp17, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp17;
 
	// I Picture Disp18, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp18;
 
	// I Picture Disp19, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp19;
 
	// I Picture Disp20, This member maintains a pointer to the object IPictureDisp.  
	IPictureDisp* m_pIPictureDisp20;
	
 
	// m_testBitmap1, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap1;
 
	// m_testBitmap2, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap2;
 
	// m_testBitmap3, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap3;
 
	// m_testBitmap4, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap4;
 
	// m_testBitmap5, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap5;

 
	// m_testBitmap6, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap6;
 
	// m_testBitmap7, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap7;
 
	// m_testBitmap8, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap8;
 
	// m_testBitmap9, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap9;
 
	// m_testBitmap10, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap10;

 
	// m_testBitmap11, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap11;
 
	// m_testBitmap12, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap12;
 
	// m_testBitmap13, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap13;
 
	// m_testBitmap14, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap14;
 
	// m_testBitmap15, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap15;

 
	// m_testBitmap16, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap16;
 
	// m_testBitmap17, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap17;
 
	// m_testBitmap18, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap18;
 
	// m_testBitmap19, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap19;
 
	// m_testBitmap20, The CBitmap class encapsulates a Windows graphics device interface (GDI) bitmap and provides member functions to manipulate the bitmap.   
	CBitmap m_testBitmap20;


 
	// Logical Pal, This member specify LPLOGPALETTE object.  
	LPLOGPALETTE m_lpLogPal;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUCCPlayerView)
	public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Before Create Window, Called before the creation of the Windows window attached to this CWnd object.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		cs---Specifies a CREATESTRUCT& cs object.
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Data Exchange, Do a event. 
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDX---D X, A pointer to the CDataExchange or NULL if the call failed.
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Initial Update, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void OnInitialUpdate(); // called first time after construct
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Prepare Printing, This member function is called by the framework to allow your application to handle a Windows message.
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns TRUE on success; FALSE otherwise.  
	// Parameters:
	//		pInfo---pInfo, A pointer to the CPrintInfo or NULL if the call failed.
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Begin Printing, Called when a print job begins; override to allocate graphics device interface (GDI) resources.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDC---D C, A pointer to the CDC or NULL if the call failed.  
	//		pInfo---pInfo, A pointer to the CPrintInfo or NULL if the call failed.
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On End Printing, Called when a print job ends; override to deallocate GDI resources.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDC---D C, A pointer to the CDC or NULL if the call failed.  
	//		pInfo---pInfo, A pointer to the CPrintInfo or NULL if the call failed.
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Print, Called to print or preview a page of the document.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDC---D C, A pointer to the CDC or NULL if the call failed.  
	//		pInfo---pInfo, A pointer to the CPrintInfo or NULL if the call failed.
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// C U C C Player View, Destructor of class CUCCPlayerView
	// This member function is also a virtual function, you can Override it if you need,  
	//		Returns A  value.
	virtual ~CUCCPlayerView();
#ifdef _DEBUG
	
	//-----------------------------------------------------------------------
	// Summary:
	// Assert Valid, Assert performs a validity check on this object by checking its internal state.
	// This member function is also a virtual function, you can Override it if you need,
	virtual void AssertValid() const;
	
	//-----------------------------------------------------------------------
	// Summary:
	// Dump, Dumps the contents of your object to a CDumpContext object.
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		dc---Specifies a CDumpContext& dc object.
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CUCCPlayerView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDraw1();
	afx_msg void OnUpdateDraw1(CCmdUI* pCmdUI);
	afx_msg void OnDraw2();
	afx_msg void OnUpdateDraw2(CCmdUI* pCmdUI);
	afx_msg void OnDraw3();
	afx_msg void OnUpdateDraw3(CCmdUI* pCmdUI);
	afx_msg void OnDraw4();
	afx_msg void OnUpdateDraw4(CCmdUI* pCmdUI);
	afx_msg void OnDraw5();
	afx_msg void OnUpdateDraw5(CCmdUI* pCmdUI);
	afx_msg void OnDraw6();
	afx_msg void OnUpdateDraw6(CCmdUI* pCmdUI);
	afx_msg void OnDraw7();
	afx_msg void OnUpdateDraw7(CCmdUI* pCmdUI);
	afx_msg void OnDraw8();
	afx_msg void OnUpdateDraw8(CCmdUI* pCmdUI);
	afx_msg void OnDraw9();
	afx_msg void OnUpdateDraw9(CCmdUI* pCmdUI);
	afx_msg void OnDraw10();
	afx_msg void OnUpdateDraw10(CCmdUI* pCmdUI);
	afx_msg void OnDraw11();
	afx_msg void OnUpdateDraw11(CCmdUI* pCmdUI);
	afx_msg void OnDraw12();
	afx_msg void OnUpdateDraw12(CCmdUI* pCmdUI);
	afx_msg void OnDraw13();
	afx_msg void OnUpdateDraw13(CCmdUI* pCmdUI);
	afx_msg void OnDraw14();
	afx_msg void OnUpdateDraw14(CCmdUI* pCmdUI);
	afx_msg void OnDraw15();
	afx_msg void OnUpdateDraw15(CCmdUI* pCmdUI);
	afx_msg void OnDraw16();
	afx_msg void OnUpdateDraw16(CCmdUI* pCmdUI);
	afx_msg void OnDraw17();
	afx_msg void OnUpdateDraw17(CCmdUI* pCmdUI);
	afx_msg void OnDraw18();
	afx_msg void OnUpdateDraw18(CCmdUI* pCmdUI);
	afx_msg void OnDrawStart();
	afx_msg void OnUpdateDrawStart(CCmdUI* pCmdUI);
	afx_msg void OnDrawStop();
	afx_msg void OnUpdateDrawStop(CCmdUI* pCmdUI);
	afx_msg void OnFoDrawSelect();
	afx_msg void OnFoDrawStatic();
	afx_msg void OnEditRedo();
	afx_msg void OnEditUndo();
	afx_msg void OnUpdateEditRedo(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditUndo(CCmdUI* pCmdUI);
	afx_msg void OnTestSubgraph();
	afx_msg void OnTestUnsubgraph();
	afx_msg void OnGenHMIDataUccdrawctrl1(LPCTSTR strVarName, long nVarID, long nValueType, long FAR* nEnable, double FAR* dValue);
	afx_msg void OnTimer(UINT nIDEvent);
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ M E S S A G E_ M A P, None Description.
	//		Returns A  value.
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in UCCPlayerView.cpp
inline CUCCPlayerDoc* CUCCPlayerView::GetDocument()
   { return (CUCCPlayerDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UCCPLAYERVIEW_H__341CFF94_A7D2_41D6_B825_B6113ED3FBCD__INCLUDED_)
