﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ProcessDemo
{
    
    public partial class Form1 : Form
    {
        double TimeInterval = 500.0;
        double Low = 0.0, High = 100.0;

        // Use Random class to generated random 
        // data for simulation.
        Random random = new Random();
        double dValue1 = 10;
        double dValue2 = 0;
        double dValue3 = 0;
        double dValue4 = 30;
        double dValue5 = 15;
        public Form1()
        {
            InitializeComponent();
            // Set the drawing name for the navigation toolbar.
            string dir_name = Application.StartupPath;
            
            m_Draw.SetAppPath(dir_name + "\\");
            m_Draw.InitAppData();
           // m_Draw.SetPagePosition(0, 0, 2000, 2000);
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            PollTagData();
        }

        private void PollTagData()
        {
            double d_value;
            String s_value;
            int data_type;

            m_Draw.SetDRTag("r1", GetData(Low, High));
            m_Draw.SetDGTag("tag1", dValue1);
            m_Draw.SetDGTag("tag2", dValue2);
            m_Draw.SetDGTag("tag3", dValue3);
            m_Draw.SetDGTag("tag4", dValue4);
            m_Draw.SetDGTag("tag5", dValue5);
            m_Draw.SetDGTag("tag6", GetData(Low, High));

            dValue1 += 5;
            dValue2 += 10;
            dValue3 += 10;
            dValue4 += 10;
            dValue5 += 5;

            if (dValue1 > 100)
            {
                dValue1 = 10;
            }

            if (dValue2 > 100)
            {
                dValue2 = 0;
            }

            if (dValue3 > 100)
            {
                dValue3 = 0;
            }

            if (dValue4 > 100)
            {
                dValue4 = 30;
            }

            if (dValue5 > 100)
            {
                dValue5 = 15;
            }
            m_Draw.UpdatePlayer();
        }

        double GetData(double low, double high)
        {
            return random.NextDouble() * (high - low) + low;
        }

        // Returns current time in the format hours:min:sec
        string GetCurrentTime()
        {
            string current_time =
                DateTime.Now.TimeOfDay.ToString().Substring(0, 8);
            return current_time;
        }

        // Ready callback is invoked after  the drawing is displayed
        // for the first time.
        private void Ready(object sender, System.EventArgs e)
        {
            // Enable the timer.
            timer1.Enabled = true;
            timer1.Interval = 500;
        }
       
        private void Form1_FormClosing_1(object sender, FormClosingEventArgs e)
        {
            timer1.Stop();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Ready(sender, e);
        }

        private void m_Draw_ButtonClicked(object sender, AxUCCHMILib._DUCCHMIEvents_ButtonClickedEvent e)
        {
            MessageBox.Show("Button Clicked!");

        }
    }
}
